package sun.security.tools.policytool;

import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;

class ToolWindowListener implements WindowListener
{
    private PolicyTool tool;
    private ToolWindow tw;
    
    ToolWindowListener(PolicyTool tool, ToolWindow tw) {
        this.tool = tool;
        this.tw = tw;
    }
    
    @Override
    public void windowOpened(WindowEvent windowEvent) {
    }
    
    @Override
    public void windowClosing(WindowEvent windowEvent) {
        new ToolDialog(PolicyTool.getMessage("Save.Changes"), this.tool, this.tw, true).displayUserSave(1);
    }
    
    @Override
    public void windowClosed(WindowEvent windowEvent) {
        System.exit(0);
    }
    
    @Override
    public void windowIconified(WindowEvent windowEvent) {
    }
    
    @Override
    public void windowDeiconified(WindowEvent windowEvent) {
    }
    
    @Override
    public void windowActivated(WindowEvent windowEvent) {
    }
    
    @Override
    public void windowDeactivated(WindowEvent windowEvent) {
    }
}
